package router

func registerJobRoutes(cfg *Config) {
	e := cfg.Echo
	jwtMiddleware := createJWTMiddleware(cfg)
	protected := e.Group("/api", jwtMiddleware)
	jobs := protected.Group("/jobs")
	jobs.POST("", cfg.JobsHandler.CreateJob)
	jobs.GET("/:jobId", cfg.JobsHandler.GetJobStatus)
}
